:root{
    --navbar-color: #3299CC;
    --button-color: #4885C1;
    --our-services-background-color: #BFD3EE;
    /* --nav-links-underline: #12AFAF; */
    --nav-links-underline: #0F6D6A;
    --white-color: #fff;
    --black-color: #000
}

.active{
    color: var(--nav-links-underline) !important
}

/* INICIO DE ESTILOS DEL HEADER */

.header{
    display: flex;
    flex-direction: row;
    width: 100%;
    position: fixed;
    transition: .5s
    /* background-color: var(--navbar-color) */
}

.header-blue-background{
    background-color: var(--navbar-color)
}

.navbar{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1% 5%;
    width: 100%
}

.nav-links{
    flex: 1;
    text-align: right
}

.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative
}

.nav-links ul li a{
    color: var(--white-color);
    text-decoration: none;
    font-size: 1rem;
    transition: .5s
}

.nav-links ul li a:hover{
    color: var(--nav-links-underline)
}

.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: var(--nav-links-underline);
    display: block;
    margin: auto;
    transition: 0.5s
}

.nav-links ul li:hover::after{
    width: 100%
}


nav .fas{
    display: none
}

@media(max-width: 700px){
    .text-box h1{
        font-size: 20px;
    }

    .nav-links ul li{
        display: block;
        padding-bottom: 5vh;
    }

    .nav-links{
        position: fixed;
        background: var(--navbar-color);
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../img/footer/footerBackground.png");
        transition: 0.5s
    }

    nav .fas{
        display: block;
        color: #fff;
        margin: 10px;
        cursor: pointer
    }

    .nav-links ul{
        padding: 30px
    }
}

/* FIN DE ESTILOS DEL HEADER */

/* INICIO DE ESTILOS AREA CAROUSEL */

.carousel-area{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding-bottom: 8%;
    height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../img/header/headerImg.png");
    color: white;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.titles-carousel-area h1{
    margin-bottom: 25px;
    font-size: 2.5rem
}

.titles-carousel-area h2{
    margin-bottom: 25px;
    font-size: 1rem;
    font-weight: normal
}

.button-carousel-area button{
    background-color: var(--button-color);
    color: var(--white-color);
    border: none;
    padding: 1%;
    margin-top: 40px
}

button:hover{
    cursor: pointer;
}

@media(max-width: 491px){
    .carousel-area{
        padding-bottom: 15%
    }

    .titles-carousel-area h1{
        margin-bottom: 25px;
        font-size: 1.5rem
    }

    .titles-carousel-area h2{
        margin-bottom: 25px;
        font-size: 1rem;
        font-weight: normal
    }

    .button-carousel-area button{
        background-color: var(--button-color);
        color: var(--white-color);
        border: none;
        padding: 3%;
        margin-top: 30px;
    }
}

/* FIN DE ESTILOS AREA CAROUSEL */

/* INICIO DE ESTILOS US AREA */

.us-area{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 50vh;
    background-color: var(--button-color);
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url("../img/us_area/mapa.png");
    color: white;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right
}

.titles-us-area{
    width: 50%;
    padding-left: 8%
}

.titles-us-area h1{
    font-size: 2.5rem;
    font-weight: normal;
    text-align: left;
}

.titles-us-area h2{
    padding-top: 15px;
    font-size: 1rem;
    font-weight: normal;
    text-align: left;
}

@media(max-width: 491px){
    .us-area{
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 60vh;
        background-color: var(--button-color);
        background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url("../img/us_area/mapa.png");
        color: white;
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center
    }

    .titles-us-area{
        width: 95%;
        padding-left: 0;
        align-self: center
    }

    .titles-us-area h1{
        font-size: 1.5rem;
        font-weight: normal;
        text-align: left;
    }
    
    .titles-us-area h2{
        padding-top: 15px;
        font-size: 1rem;
        font-weight: normal;
        text-align: left;
    }
}

/* FIN DE ESTILOS US AREA */

/* INICIO DE ESTILOS OUR SERVICES AREA */

.our-services-area{
    height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 4%;
    background-color: var(--our-services-background-color);
    color: var(--black-color)
}

.title-our-services h1{
    font-size: 2.5rem;
    margin-bottom: 10vh
}

.services-container{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap
}

.first-services-row{
    padding-bottom: 8vh
}

.service{
    display: flex;
    flex-direction: column;
    width: 50%
}

.service :nth-child(1){
    align-self: center;
    padding-bottom: 5vh
}

.service :nth-child(1) h2{
    width: 100%;
    font-size: 1.5rem
}

.service :nth-child(2){
    width: 50%;
    align-self: center
}

.service :nth-child(2) h3{
    padding-bottom: 0;
    font-size: 1rem
}

@media(max-width: 491px){
    .our-services-area{
        height: 225vh;
        padding: 4%
    }

    .title-our-services h1{
        font-size: 2.0rem
    }

    .service{
        width: 100%;
        padding-bottom: 5vh;
    }

    .service :nth-child(2){
        width: 100%;
        align-self: center
    }
}

/* FIN DE ESTILOS OUR SERVICES AREA */

/* INICIO DE ESTILOS OUR TEAM AREA */

.our-team-area{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-top: 10vh;
    padding-left: 12vw;
    padding-right: 12vw;
    height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/our_team_area/ourTeam.png");
    color: var(--black-color);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.title-our-team h1{
    font-size: 2.5rem;
    padding-bottom: 5vh;
}

.title-our-team h2{
    font-size: 1rem;
    font-weight: normal;
}

@media(max-width: 491px){
    .our-team-area{
        padding-top: 0;
        justify-content: center;
        background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url("../img/our_team_area/ourTeam.png");
        color: var(--white-color)
    }

    .title-our-team h1{
        font-size: 2rem;
        padding-bottom: 5vh;
    }
}

/* FIN DE ESTILOS OUR TEAM AREA */

/* INICIO DE ESTILOS CONTACT AREA */

.contact-area{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 10vh;
    padding-left: 12vw;
    padding-right: 12vw;
    height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/contact_area/contact.png");
    color: var(--black-color);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.title-contact h1{
    font-size: 2.5rem;
    padding-bottom: 5vh;
}

.contact-form{
    display: flex;
    flex-direction: row;
    justify-content: center
}

form{
    width: 50%;
}

form div{
    padding-bottom: 1.5vh;
}

input{
    border: none;
    background-color: rgba(255, 255, 255, 0.4);
    padding: 5px;
    border: solid rgba(204, 204, 204, 1);
    border-radius: 5px;
}

textarea{
    border: none;
    background-color: rgba(255, 255, 255, 0.4);
    padding: 5px;
    border: solid rgba(204, 204, 204, 1);
    border-radius: 5px;
}

form button{
    padding: 5px;
    background-color: #BEC7D8;
    border-radius: 5px;
    border: solid rgba(204, 204, 204, 1);
    font-size: 0.8rem;
    width: 150px;
}

@media(max-width: 491px){
    .contact-area{
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding-top: 0;
        padding-left: 0;
        padding-right: 0;
        height: 100vh;
        background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/contact_area/contact.png");
        color: var(--black-color);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center
    }

    form{
        width: 80%
    }

    input, textarea{
        width: 100%;
        background-color: rgba(255, 255, 255, 0.8)
    }
}

/* FIN DE ESTILOS CONTACT AREA */

/* INICIO DE ESTILOS FOOTER */

.footer{
    height: 50vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: var(--button-color);
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/footer/footerBackground.png");
    color: var(--white-color);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center
}

.container{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly
}

.footer-item{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding-bottom: 3vh
}

.footer-item img{
    padding-right: 1rem;
}

@media(max-width: 491px){
    .footer{
        height: 70vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-color: var(--button-color);
        background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/footer/footerBackground.png");
        color: var(--white-color);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center
    }

    .container{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center
    }

    .footer-logo-container{
        padding-bottom: 3vh
    }

    .footer-logo-container img{
        width: 80%;
    }

    .footer-items-container{
        width: 80%;
        display: flex;
        flex-direction: column;
        align-items: flex-start
    }

    .direccion{
        text-align: left;
    }

    .direccion h1{
        display: contents;
    }
}

/* FIN DE ESTILOS FOOTER */